# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.flow_runs_api import FlowRunsApi


class TestFlowRunsApi(unittest.IsolatedAsyncioTestCase):
    """FlowRunsApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = FlowRunsApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_approve_flow_run_api_v1_flow_runs_id_approve_post(self) -> None:
        """Test case for approve_flow_run_api_v1_flow_runs_id_approve_post

        Approve Flow Run
        """
        pass

    async def test_create_flow_run_api_v1_flow_runs_post(self) -> None:
        """Test case for create_flow_run_api_v1_flow_runs_post

        Create Flow Run
        """
        pass

    async def test_delete_flow_run_api_v1_flow_runs_id_delete(self) -> None:
        """Test case for delete_flow_run_api_v1_flow_runs_id_delete

        Delete Flow Run
        """
        pass

    async def test_deny_flow_run_api_v1_flow_runs_id_deny_post(self) -> None:
        """Test case for deny_flow_run_api_v1_flow_runs_id_deny_post

        Deny Flow Run
        """
        pass

    async def test_get_flow_run_api_v1_flow_runs_id_get(self) -> None:
        """Test case for get_flow_run_api_v1_flow_runs_id_get

        Get Flow Run
        """
        pass

    async def test_get_flow_runs_api_v1_flow_runs_get(self) -> None:
        """Test case for get_flow_runs_api_v1_flow_runs_get

        Get Flow Runs
        """
        pass

    async def test_upsert_flow_run_api_v1_flow_runs_id_put(self) -> None:
        """Test case for upsert_flow_run_api_v1_flow_runs_id_put

        Upsert Flow Run
        """
        pass


if __name__ == '__main__':
    unittest.main()
